Subject: bug#25746: python-pykka

From: Marius Bakke <[email-masked]>
Date: Thu, 02 Mar 2017 20:33:29 +0100

Kei Kebreau <[email-masked]> writes:

> ng0 <[email-masked]> writes:
>
>> On 17-02-19 13:02:01, Ricardo Wurmus wrote:
>>> 
>>> ng0 <[email-masked]> writes:
>>> 
>>> >> > > +    (arguments
>>> >> > > +     `(#:tests? #f)) ; Testsuite fails for unspecified reasons.
>>> >> > 
>>> >> > It would be nice to have some more details here and a FIXME, so that
>>> >> > dedicated folks could fix this in the future.
>>> 
>>> […]
>>> 
>>> > I tried running the build using the git versions in the package
>>> > definition, and the python tests hang forever. I stopped after 3 - 5
>>> > hours:
>>> […]
>>> > test_base_exception_is_logged (tests.logging_test.ConcreteActorLoggingTest.<locals>.C) ...
>>> >
>>> >
>>> > The last one (test_base_exception_is_logged) is the one where it
>>> > hangs.
>>> 
>>> How about disabling that one test then?
>>> 
>>> > Without 'mopidy' https://github.com/mopidy I don't know if these
>>> > test failures are grave or just minor.
>>> 
>>> I don’t know how this relates to the rest of this patch.
>>> 
>>> > My idea is now to just use the tarball version, skip the tests
>>> 
>>> Using the official release is preferred, but I’d rather not skip all the
>>> tests.  We rarely ever do this unless there are bootstrap issues.
>>> Please try to disable just the hanging tests instead of the complete
>>> test suite.
>>> 
>>> -- 
>>> Ricardo
>>> 
>>> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
>>> https://elephly.net
>>> 
>>
>> I fixed it, patches are appended as git send-email is still broken since 82de2655a16dcc7a8e3b992b4afd34ec32c244a6. 
>
> Looks good! Pushed as de959250411830584366a0397367032f10c3c352 and
> a80488c20481e2a86a1808b85530342cf119b424 to master.

Please note that the tests for both variants of python-eventlet are
currently soft failing, and this package won't build when #25177 is
merged.

starting phase `check'
running "python setup.py" with command "test" and parameters ()
running test
Searching for enum-compat
Reading https://pypi.python.org/simple/enum-compat/
Download error on https://pypi.python.org/simple/enum-compat/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'enum-compat' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.python.org/simple/
Download error on https://pypi.python.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or download links found for enum-compat
error: Could not find suitable distribution for Requirement.parse('enum-compat')
phase `check' succeeded after 0.8 seconds

"python-pykka" has a different error and will also fail after #25177.

starting phase `check'
running "python setup.py" with command "test" and parameters ()
running test
running egg_info
writing dependency_links to Pykka.egg-info/dependency_links.txt
writing Pykka.egg-info/PKG-INFO
writing top-level names to Pykka.egg-info/top_level.txt
warning: manifest_maker: standard file '-c' not found

reading manifest file 'Pykka.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
no previously-included directories found matching 'docs/_build'
writing manifest file 'Pykka.egg-info/SOURCES.txt'
running build_ext
error: protocol not found
phase `check' succeeded after 1.1 seconds

Can someone look into it?

I also noticed errors in the `install` phase of some python2 variants,
I wonder if we might have the same problem there...

byte-compiling /gnu/store/rnbyh8fp8n5canv1jxi2r0140b8ani3s-python2-eventlet-0.20.1/lib/python2.7/site-packages/eventlet/green/http/cookiejar.py to cookiejar.pyc
  File "gnu/store/rnbyh8fp8n5canv1jxi2r0140b8ani3s-python2-eventlet-0.20.1/lib/python2.7/site-packages/eventlet/green/http/cookiejar.py", line 1269
    yield from deepvalues(obj)
             ^
SyntaxError: invalid syntax